
Figure - Bug #119124
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】0730版本Monkey测试1小时后异常停止
2023-08-01 10:54 - CD TEST-方永红

Status: CLOSED Start date: 2023-08-01

Priority: High Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0730

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【测试版本】

0730DB

【测试情况】

0730版本Monkey测试35小时后异常停止，设备熄屏

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/127_81_023/Device1

History

#1 - 2023-08-02 16:26 - CD FW 曹覃刚

■ 我的分析

-----------------

07-31 19:41:31.283 12769 12769 F DEBUG   : * 

07-31 19:41:31.283 12769 12769 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/5085:user/release-keys'

07-31 19:41:31.283 12769 12769 F DEBUG   : Revision: '0'

07-31 19:41:31.283 12769 12769 F DEBUG   : ABI: 'arm64'

07-31 19:41:31.283 12769 12769 F DEBUG   : Timestamp: 2023-07-31 19:41:30.090097595+0800

07-31 19:41:31.283 12769 12769 F DEBUG   : Process uptime: 0s

07-31 19:41:31.283 12769 12769 F DEBUG   : Cmdline: /system/bin/netd

07-31 19:41:31.283 12769 12769 F DEBUG   : pid: 688, tid: 12695, name: Dns_100_10114  >>> /system/bin/netd <<<

07-31 19:41:31.283 12769 12769 F DEBUG   : uid: 0

07-31 19:41:31.283 12769 12769 F DEBUG   : signal 6 (SIGABRT), code 1 (SI_QUEUE), fault addr -------

07-31 19:41:31.283 12769 12769 F DEBUG   : Abort message: 'terminating with uncaught exception of type NSt3__112system_errorE: thread constructor failed: Try again'

07-31 19:41:31.283 12769 12769 F DEBUG   :     x0  0000000000000000  x1  0000000000003197  x2  0000000000000006  x3  000000661120eff0

07-31 19:41:31.283 12769 12769 F DEBUG   :     x4  736f646277641f73  x5  736f646277641f73  x6  736f646277641f73  x7  7f7f7f7f7f7f7f7f

07-31 19:41:31.283 12769 12769 F DEBUG   :     x8  00000000000000f0  x9  051093800121b140  x10 0000000000000000  x11 ffffff80ffffffdf

07-31 19:41:31.283 12769 12769 F DEBUG   :     x12 0000000000000001  x13 0000001587439a90  x14 00293f11837a7400  x15 0000000034155555

07-31 19:41:31.283 12769 12769 F DEBUG   :     x16 00000075056f0060  x17 00000075056cc560  x18 0000004e52ce0000  x19 00000000000002b0

07-31 19:41:31.283 12769 12769 F DEBUG   :     x20 0000000000003197  x21 00000000ffffffff  x22 00000075056f2350  x23 000000661120f160

07-31 19:41:31.283 12769 12769 F DEBUG   :     x24 000000661120f120  x25 b4000072a57ac458  x26 b40000720564d1d0  x27 b4000072a57ac450

07-31 19:41:31.283 12769 12769 F DEBUG   :     x28 00000075068db0dd  x29 000000661120f070

07-31 19:41:31.283 12769 12769 F DEBUG   :     lr  000000750567c95c  sp  000000661120efd0  pc  000000750567c988  pst 0000000000001000
07-31 19:41:31.283 12769 12769 F DEBUG   : backtrace:

07-31 19:41:31.283 12769 12769 F DEBUG   :       #00 pc 0000000000051988  /apex/com.android.runtime/lib64/bionic/libc.so (abort+168) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #01 pc 00000000000252dc  /apex/com.android.resolv/lib64/libnetd_resolv.so (abort_message+252) (BuildId:

78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #02 pc 0000000000025c68  /apex/com.android.resolv/lib64/libnetd_resolv.so (demangling_terminate_handler()+216)

(BuildId: 78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #03 pc 0000000000025388  /apex/com.android.resolv/lib64/libnetd_resolv.so (std::__terminate(void ()())+16) (BuildId:

78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #04 pc 0000000000025594  /apex/com.android.resolv/lib64/libnetd_resolv.so (_cxxabiv1::failed_throw(

_cxxabiv1::__cxa_exception*)+32) (BuildId: 78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #05 pc 00000000000254ec  /apex/com.android.resolv/lib64/libnetd_resolv.so (_cxa_throw+116) (BuildId:

78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #06 pc 00000000000dce64  /apex/com.android.resolv/lib64/libnetd_resolv.so (std::_1::__throw_system_error(int, char

const*)+100) (BuildId: 78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #07 pc 0000000000031a20  /apex/com.android.resolv/lib64/libnetd_resolv.so (res_querydomainN(char const*, char

const*, res_target*, ResState*, int*)+2812) (BuildId: 78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #08 pc 00000000000308d4  /apex/com.android.resolv/lib64/libnetd_resolv.so (resolv_getaddrinfo(char const*, char const*,

addrinfo const*, android_net_context const*, addrinfo**, android::net::NetworkDnsEventReported*)+2244) (BuildId: 78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #09 pc 00000000000536e0  /apex/com.android.resolv/lib64/libnetd_resolv.so

(android::net::DnsProxyListener::GetAddrInfoHandler::run()+660) (BuildId: 78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #10 pc 000000000004d4dc  /apex/com.android.resolv/lib64/libnetd_resolv.so (void*

android::netdutils::runAndDelete<android::net::DnsProxyListener::Handler>(void*) (.cfi)+332) (BuildId: 78e74ab29b346fd7fcf7409668408d12)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #11 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

07-31 19:41:31.283 12769 12769 F DEBUG   :       #12 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

07-31 19:41:33.255     0     0 I [ 4819.223378] init: Command 'restart zygote' action=onrestart (<Service 'netd' onrestart>:1) took 244ms and succeeded

07-31 19:41:33.637  7431  7431 W Monkey  : * Error: A RuntimeException occurred:

07-31 19:41:33.638  7431  7431 W Monkey  : java.lang.RuntimeException: android.os.DeadSystemException

07-31 19:41:33.638  7431  7431 W Monkey  :     at android.hardware.input.InputManager.injectInputEvent(InputManager.java:1093)

07-31 19:41:33.638  7431  7431 W Monkey  :     at com.android.commands.monkey.MonkeyMotionEvent.injectEvent(MonkeyMotionEvent.java:188)

07-31 19:41:33.638  7431  7431 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

07-31 19:41:33.638  7431  7431 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

07-31 19:41:33.638  7431  7431 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

07-31 19:41:33.638  7431  7431 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

07-31 19:41:33.638  7431  7431 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

07-31 19:41:33.638  7431  7431 W Monkey  : Caused by: android.os.DeadSystemException

07-31 19:41:33.638  7431  7431 W Monkey  :     ... 7 more

07-31 19:41:33.638  7431  7431 I Monkey  : Events injected: 26230

07-31 19:41:33.656  7431  7431 W Monkey  : * Failed talking with activity manager!

07-31 19:41:33.656  7431  7431 I Monkey  : // Generated profiling reports in /data/misc

07-31 19:41:33.657  7431  7431 I Monkey  : :Dropped: keys=0 pointers=4 trackballs=0 flips=0 rotations=0

07-31 19:41:33.657  7431  7431 I Monkey  : ## Network stats: elapsed time=4373011ms (0ms mobile, 0ms wifi, 4373011ms not connected)

07-31 19:41:33.657  7431  7431 W Monkey  : ** System appears to have crashed at event 26230 of 32000000 using seed 1234567

-----------------

netd挂了导致系统重启，monkey停止

与 IOVDEV-37651 是同件问题

■ 下一步计划
需要LC的同事分析

#2 - 2023-08-02 16:31 - CD FW 曹覃刚

- Category changed from CD-FW to LC

- Assignee changed from CD FW 曹覃刚 to CD LC邓帅

#3 - 2023-08-03 16:42 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Assignee changed from CD LC邓帅 to CDTS_TEST 王成

- Resolution changed from -- to DUPLICATE

同IOVDEV-37651

#4 - 2023-08-31 16:19 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 物联网测试组_TSCD 王维

#5 - 2023-10-08 09:51 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

同jira-IOVDEV-37651 已关闭

#6 - 2023-10-08 09:52 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED
